com.rscja.utility

## Class BatteryUtils

- java.lang.Object
- - com.rscja.utility.BatteryUtils

-     public class BatteryUtils
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BatteryUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `disableCharge()` 关闭充电. Disable charging.
    `static boolean` | `enableCharge()` 开启充电. Enable charging.
    `static int` | `getBatteryHealth()` 电池健康状况，单位 %. Battery health status, unit %.
    `static java.lang.String` | `getBatteryUniqueId()` 电池ID. Battery ID.
    `static int` | `getCurrentCapacity()` 实际容量，单位mAh. Battery Actual capacity, unit mAh.
    `static int` | `getCurrentCharge()` 可用容量，单位mAh. Battery Available capacity, unit mAh.
    `static int` | `getCycleCount()` 循环次数. Cycle count.
    `static java.lang.String` | `getManufactureDate()` 生产日期. Battery production date.
    `static java.lang.String` | `getPartNumber()` 部件号. Part number.
    `static int` | `getRatedCapacity()` 额定容量，单位mAh. Battery Rated capacity, unit mAh.
    `static java.lang.String` | `getSerialNumber()` 序列号. Serial number.
    `static boolean` | `getSmartBattery()` 智能电池. Smart battery.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BatteryUtils

          public BatteryUtils()

  - ### Method Detail

    - #### getBatteryUniqueId

          public static java.lang.String getBatteryUniqueId()

      电池ID.
      Battery ID.

    - #### getSerialNumber

          public static java.lang.String getSerialNumber()

      序列号.
      Serial number.

    - #### getPartNumber

          public static java.lang.String getPartNumber()

      部件号.
      Part number.

    - #### getManufactureDate

          public static java.lang.String getManufactureDate()

      生产日期.
      Battery production date.

    - #### getRatedCapacity

          public static int getRatedCapacity()

      额定容量，单位mAh.
      Battery Rated capacity, unit mAh.

    - #### getCurrentCapacity

          public static int getCurrentCapacity()

      实际容量，单位mAh.
      Battery Actual capacity, unit mAh.

    - #### getCurrentCharge

          public static int getCurrentCharge()

      可用容量，单位mAh.
      Battery Available capacity, unit mAh.

    - #### getBatteryHealth

          public static int getBatteryHealth()

      电池健康状况，单位 %.
      Battery health status, unit %.

    - #### getCycleCount

          public static int getCycleCount()

      循环次数.
      Cycle count.

    - #### getSmartBattery

          public static boolean getSmartBattery()

      智能电池.
      Smart battery.

    - #### enableCharge

          public static boolean enableCharge()

      开启充电.
      Enable charging.

    - #### disableCharge

          public static boolean disableCharge()

      关闭充电.
      Disable charging.